Créer une évaluation
curl --request POST \
--url https://distillation.training.wandb.ai/v1/evals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spec": {
"type": "h2h_judge",
"judge_model_ref": "<string>",
"judge_prompt": "You are an intelligent and fair judge of chatbots. Evaluate the following two responses and choose which one is better. If the outputs are of similar quality, you can mark them as a tie.",
"reference_conversation_count": 0
},
"participants": [
{
"kind": "original"
}
],
"sample_size": 123,
"reference": {
"kind": "original"
}
}
'import requests
url = "https://distillation.training.wandb.ai/v1/evals"
payload = {
"name": "<string>",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spec": {
"type": "h2h_judge",
"judge_model_ref": "<string>",
"judge_prompt": "You are an intelligent and fair judge of chatbots. Evaluate the following two responses and choose which one is better. If the outputs are of similar quality, you can mark them as a tie.",
"reference_conversation_count": 0
},
"participants": [{ "kind": "original" }],
"sample_size": 123,
"reference": { "kind": "original" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dataset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
spec: {
type: 'h2h_judge',
judge_model_ref: '<string>',
judge_prompt: 'You are an intelligent and fair judge of chatbots. Evaluate the following two responses and choose which one is better. If the outputs are of similar quality, you can mark them as a tie.',
reference_conversation_count: 0
},
participants: [{kind: 'original'}],
sample_size: 123,
reference: {kind: 'original'}
})
};
fetch('https://distillation.training.wandb.ai/v1/evals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"spec": {
"type": "h2h_judge",
"judge_model_ref": "openai/gpt-5.6-sol",
"judge_prompt": "<string>"
},
"participants": [
{
"kind": "original"
}
],
"sample_size": 123,
"status": "queued",
"progress": {
"total": 123,
"queued": 123,
"running": 123,
"completed": 123,
"failed": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference": {
"kind": "original"
},
"results": {},
"failure_summary": {}
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Créer une évaluation
POST
/
evals
Créer une évaluation
Autorisations
Une clé API W&B.
En-têtes
entity personnel ou d’équipe accessible. Omettez ce champ pour utiliser l’entity par défaut de l’utilisateur authentifié.
Corps
application/json
Un nom d’évaluation court et facile à repérer. Privilégiez 2 à 5 mots et évitez d’inclure le nom du jeu de données, la liste de tous les modèles comparés ou des détails de configuration.
Required string length:
1 - 128Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Minimum array length:
1- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Plage requise:
x <= 9007199254740991- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Réponse
Les cas d’évaluation ont été mis en file d’attente.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Options disponibles:
queued, running, completed, failed, stale Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Dernière modification le 30 septembre 2026
Cette page vous a-t-elle été utile ?